Add puppet provider and types in puppet-certs
Status: Closed % Done: 100%

Priority: Normal   

Assignee: Eric Helms   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 3.0.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

Subtasks:

Refactor # 32507: Add Puppet type to manage nssdb certificates Closed

Refactor # 32511: Add puppet type to manage an nssdb Closed

Refactor # 32512: Add keystore puppet provider type to puppet-certs Closed

Feature # 32631: Add keystore certificate puppet provider Closed

Refactor # 32637: Add Puppet provider to manage a truststore Closed

Refactor # 32644: Add Puppet provider to manage an NSS database Duplicate

Associated revisions

Revision 5a171444 - 05/20/2021 11:40 AM - Eric Helms

Fixes #32506: Add an nssdb_certificate type and provider

This adds a type for managing NSS database certificates (and private keys)

within an NSS database. This new type reduces the number of intermediary

entities that have to be created, for example the pkcs12 export, and

reduces the overall Puppet code required. This type aims to provide

a clean interface to managing NSS database certificates and ensure

that the NSS database is in sync with the certificates being managed.

Revision 47db06c5 - 05/24/2021 09:18 PM - Eric Helms

Fixes #32506: Add keystore puppet provider type

This allows creating and managing a PKCS12 based keystore that

is initially empty. This allows managing the permissions and ownership

of the keystore separately from any certificates within it.

Revision 904cfd15 - 05/25/2021 07:16 PM - Ewoud Kohl van Wijngaarden

Refs #32506 - Avoid in place modification of array

In 47db06c5fd01fba4e06af5325470c8c146074bba a new keystore provider was

added. This modifies metaparams in place which can have side effects.

This patch changes it to not need it.

Fixes: 47db06c5fd01fba4e06af5325470c8c146074bba

History

#1 - 05/04/2021 05:34 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

#2 - 05/20/2021 11:40 AM - The Foreman Bot

- Fixed in Releases 3.0.0 added

#3 - 05/20/2021 12:01 PM - Eric Helms
- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset puppet-certs|5a171444005aa3bc13c157b147fb59cd48291e11.

#4 - 05/20/2021 12:54 PM - Eric Helms

- Status changed from Closed to Assigned

#5 - 05/20/2021 11:34 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

#6 - 05/24/2021 10:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

- % Done changed from 17 to 100

Applied in changeset puppet-certs|47db06c5fd01fba4e06af5325470c8c146074bba.
